Missing validation checks when no value selected in `Disk interface`

06/14/2018 12:06 PM - Shira Maximov

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when creating a new ovirt host, we should check that the necessary values were added before submitting the form

Otherwise we would fail:

Failed to create a compute v4  (oVirt) instance levi-voisard.tlv.redhat.com: Fault reason is "Invalid value". Fault detail is "The string ''

isn't a valid value for the 'DiskInterface' enumerated type. Valid values are: 'ide', 'virtio_scsi', 'virtio', 'spapr_vscsi'.". HTTP response

code is 400.

History

#1 - 09/13/2019 02:28 PM - Baptiste Agasse

Related to #26381

#2 - 12/09/2019 02:11 PM - yifat makias

- Status changed from New to Closed

Closing this issue because it is not relevant, there is no option in the UI to choose an empty Disk Interface so the validation is not needed.
